Subject: [Tools-discuss] Re: xml2rfc: boldface in Noto Sans
From: Kesara Rathnayake <[email-masked]>
To: Rob Sayre <[email-masked]>
Cc: [email-masked]
Date: Mon, 29 Sep 2025 11:35:26 +1300
List-Id: IETF Tools Discussion <tools-discuss.ietf.org>

On Sun, 28 Sept 2025 at 04:56, Rob Sayre <[email-masked]> wrote:

> Hi,
>
> Attached is what I see. Top to bottom:
>
> Firefox
> Safari
> Chrome
>
>
> I don't see a lot of typographic boldness in Chrome, but the other two
> are ok.
>
>
Jean Mahoney opened an issue with Chromium about this behaviour and seems
to have traction on their side.
https://issues.chromium.org/issues/447361040

  --Kesara

> It's been like this for days now, so I don't think it is caching issue.
>
> The list has a limit of 100kb, which I do no like. But here you are:
>
> thanks,
> Rob
>
> On Mon, Sep 22, 2025 at 8:02 PM Rob Sayre <[email-masked]> wrote:
>
>> Hi,
>>
>> I was thinking about this one on the drive home. I also recall that the
>> font rendering libraries vary in their willingness to do pseudo bold and
>> italic characters. It's been a long time since I worked in that area, but
>> it seems like that one gets uggo bold fonts in Safari and Firefox. There is
>> a flawed approach to this, and it is sometimes used in the absence of
>> separate weights.
>>
>> thanks,
>> Rob
>>
>>
>> On Mon, Sep 22, 2025 at 10:25 AM Rob Sayre <[email-masked]> wrote:
>>
>>> On 9/22/25 1:07 AM, Martin Thomson wrote:
>>> > I'm not seeing a problem here.  But that is not because there is no
>>> problem.
>>> >
>>> It is browser-dependent to my eye. It is easy to see in Safari and
>>> Firefox, but not in Chrome.
>>>
>>> thanks,
>>> Rob
>>>
>>> -----------------------------------------------
> Tools-discuss mailing list -- [email-masked]
> To unsubscribe send an email to [email-masked]
> https://mailarchive.ietf.org/arch/browse/tools-discuss/

-- 
Kesara Rathnayake
Senior Software Development Engineer - IETF Administration LLC
[email-masked]